Bug 492771 - Webalizer 2.21_02 is available, please upgrade and enable features
Webalizer 2.21_02 is available, please upgrade and enable features
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: webalizer (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-29 08:41 EDT by Robert Scheck
Modified: 2009-04-14 10:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 10:17:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
webalizer-2.21-02-lfs.patch (393 bytes, patch)
2009-03-29 08:42 EDT, Robert Scheck
no flags Details | Diff
webalizer-2.21-02-underrun.patch (941 bytes, patch)
2009-03-29 08:43 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2009-03-29 08:41:27 EDT
Description of problem:
Webalizer 2.21_02 is available, please upgrade. Latest in Fedora is only
2.01_10-37, all newer builds are only in CVS and broken.

Version-Release number of selected component (if applicable):
webalizer-2.01_10-37

Actual results:
Older version in Fedora Rawhide.

Expected results:
As we both know, that your C knowledge is much better than mine, I'm providing
hereby you my results and suggestions. Please review them etc.:

1. In webalizer.spec, replace:
   > mkdir -p $RPM_BUILD_ROOT%{_bindir} \
   >          $RPM_BUILD_ROOT/%{_mandir}/man1 \
   >          $RPM_BUILD_ROOT%{_localstatedir}/www/usage \
   >          $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
   by:
   > mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/www/usage \
   >          $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily

2. In webalizer.spec, replace
   > %makeinstall
   by:
   > make DESTDIR=$RPM_BUILD_ROOT install

3. In webalizer.spec, add "--enable-bz2" to "%configure" and add "bzip2-devel" 
   to "BuildRequires:" tag. That makes webalizer able to read *.bz2 files.

4. Add following to "%files" section:
   %{_mandir}/man1/wcmgr.1*
   %{_mandir}/man1/webazolver.1*

6. Review and merge patches:
   a) Patch0: webalizer-2.01-06-rh.patch
      -> Obsolete and can be removed (if point 2 has been done)
   b) Patch1: dns-db1.patch
      -> Obsolete and can be removed
   c) Patch2: webalizer-2.01_10-lfs.patch
      -> Needs to be ported forward (see attachment, correct done?)
   d) Patch3: webalizer-2.01-10-overflow.patch
      -> Obsolete and can be removed
   e) Patch4: webalizer-2.01-10-underrun.patch
      -> Needs to be ported forward (see attachment, correct done?)
   f) Patch5: webalizer-2.01-10-ipv6.patch
      -> Doesn't apply any longer. Needs check whether integrated or not
   g) Patch6: webalizer-2.01_10-confuser.patch
      -> Still applies, so keep the patch please
   h) Patch7: webalizer-2.01-10-hostname.patch
      -> Doesn't apply any longer. Needs check whether integrated or not
   i) Patch8: webalizer-2.01-10-maxagent.patch
      -> Doesn't apply any longer. Needs check whether integrated or not
   j) Patch9: webalizer-2.01-10-groupvisit.patch
      -> Still applies, so keep the patch please
   k) Patch10: webalizer-2.01-10-countrycode.patch
      -> Doesn't apply any longer. Needs check whether integrated or not
   l) Patch11: webalizer-2.01-10-agent-opera.patch
      -> Doesn't apply any longer. Needs check whether integrated or not
   m) Patch12: webalizer-2.01-10-agent-gecko.patch
      -> Doesn't apply any longer. Needs check whether integrated or not
   n) Patch13: webalizer-2.01-10-agent-apple.patch
      -> Doesn't apply any longer. Needs check whether integrated or not
   o) Patch14: webalizer-2.01-10-agent-compatible.patch
      -> Doesn't apply any longer. Needs check whether integrated or not
   p) Patch15: webalizer-2.01-10-agent-default.patch
      -> Doesn't apply any longer. Needs check whether integrated or not
Comment 1 Robert Scheck 2009-03-29 08:42:41 EDT
Created attachment 337167 [details]
webalizer-2.21-02-lfs.patch
Comment 2 Robert Scheck 2009-03-29 08:43:32 EDT
Created attachment 337168 [details]
webalizer-2.21-02-underrun.patch
Comment 3 Robert Scheck 2009-04-13 19:35:33 EDT
Joe, ping?
Comment 4 Joe Orton 2009-04-14 08:39:01 EDT
Robert - want commit access?  If so, please request all the bits in the pkgdb!
Comment 5 Robert Scheck 2009-04-14 08:47:48 EDT
Well, I don't think, I've enough C knowledge to get rid of these patches.
Comment 6 Joe Orton 2009-04-14 09:25:14 EDT
You can do everything else though ;)

I had a look through the patches: pretty much all the patches seem to be deprecated, which is great!

Stuff I haven't looked at but would be useful:

- shipping a geoDB database
- enabling support for the GeoIP library
- updating the default config to match upstream's sample.conf
Comment 7 Joe Orton 2009-04-14 10:17:48 EDT
Testing welcome!

http://koji.fedoraproject.org/koji/buildinfo?buildID=97879

Note You need to log in before you can comment on or make changes to this bug.